Search Help

Install our software on a Mac

The minimum requirements to run our software on a Mac is an Intel-based machine running OS X 10.11 or later.

For the best experience, our Mac software developers recommend using macOS 10.14.5 or higher.

Install it by double-clicking the downloaded file (the file ending in app.zip). Then, drag the application file to your applications folder.

Feedback

Did this article answer your question?

Related Help Articles